## fuel-library 9.0+dfsg1

=== utils/fuel-tasklib/requirements.txt ===
networkx>=1.10;python_version>='2.7'
networkx>=1.8,<1.10; python_version=='2.6'
jsonschema>=2.3.0
PyYAML>=3.11
argparse>=1.2.1;python_version=='2.6'
