=== debian/changelog ===
fuel-library (9.0+dfsg1-2) unstable; urgency=medium

  * Add add-debian-as-possible-networking-os.patch.
  * Added runtime depends: grub-pc for fuel-umm (Closes: #825175).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 May 2016 13:44:12 +0000

fuel-library (9.0+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #813971).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 May 2016 07:05:27 +0000
